/*
timeline2c version 1.0

versions
1.
*/

function timeline2c(contid, objprop, title, refreshtime, measure) {
  this.title = title;
  this.measure = measure;
  
  this.title_font = '10px Tahoma';
  this.value_font = '12px Tahoma';
  this.color = 'gray';
  this.alertcolor = 'red';
  this.background = 'rgba(255, 255, 255, 1)';
  this.bordercolor = 'rgba(238, 238, 238, 1)';
  this.border = 1;
  this.basecolor = this.bordercolor;
  this.base = 1;
  this.gridcolor = 'rgba(238, 238, 238, 1)';
  this.grid = 1;
  this.showtitle = 0;
  this.marker_font = 'bold 10px Tahoma';
  this.arr = [];
  
  //if (this.measure == '') {this.measure = '°';}
  
  this.contid = contid;
  this.objprop = objprop;
  this.refreshtime = refreshtime;		
  
  this.redraw = function(){   
    // Value
	//this.context.clearRect(0, 0, 190, 25);
	
    // Border
	if (this.border == 1) {
		this.context.fillStyle = this.bordercolor;
	} else {
		this.context.fillStyle = this.background;
	}
	
	this.context.fillRoundedRect(0, 0, 184, 29, 2); // if ?! WTF ?!

	//this.context.fillRect(0, 0, 200, 200);
    //this.context.fillStyle = this.color;
    //this.context.fillRect(10, 60, 80, 1);
	
	// Shift
	for (var i = 59; i > 0; i--) {
		this.arr[i] = this.arr[i - 1];
	}
	
	// Add new value
	// this.arr[0] = parseInt(Math.random() * 100);
	this.arr[0] = this.value;

	// Draw background
	this.context.fillStyle = this.background;
	this.context.fillRect(2, 2, 180, 25);
	
	// Draw grid
	if (this.grid == 1){
		this.context.fillStyle = 'rgba(220, 220, 220, 1)';
		this.context.fillRect(2, 14, 180, 1);
	}
	//this.context.fillRect(5, 30, 180, 1);
	//this.context.fillRect(5, 42, 180, 1);
	//this.context.fillStyle = 'rgba(255, 170, 60, 1)';

	// Draw base
	if (this.base == 1){
		this.context.fillStyle = this.basecolor;
		this.context.fillRect(2, 27, 180, 1);
	}	
	
	// Draw graph
	for (i = 0; i < 60; i++) {
		this.context.fillStyle = 'rgba(50, 200, 50, 1)';
		if (this.arr[i] > 25) {this.context.fillStyle = 'rgba(210, 160, 50, 1)';}
		if (this.arr[i] > 50) {this.context.fillStyle = 'rgba(225, 60, 50, 1)';}
		if (this.arr[i] > 75) {this.context.fillStyle = 'rgba(230, 230, 50, 1)';}
		this.context.fillRect(180 - i*3, (108 - this.arr[i]) / 4, 2, this.arr[i] / 4);
	}
	
	this.context.fillStyle = this.color;
	
    // Div
/*  this.context.strokeStyle = this.color;
    this.context.lineWidth = 1,
    this.context.moveTo(10, 60);
    this.context.lineTo(90, 60);
    this.context.stroke(); */

    if (this.drawmarker) {
	  this.drawmarker();

	  this.context.fillStyle = this.color;
	  this.context.font = this.marker_font;
	  this.context.fillStyle = 'lightgray';
	  //this.context.fillText(this.GetDirection(), 174, 15); 
	}
	
	this.context.textAlign = "center";  	
	
    // Draw value  	
    if (this.value != ''){    
	  if ((this.alertstate != 0) && (this.alertframe == 0)) {
	    this.context.fillStyle = this.alertcolor;
	  } else {
	    this.context.fillStyle = this.color;
	  }
      this.elem.title = this.valupdated;
      this.context.font = this.value_font;

	  if (this.showtitle == 1) {
		this.context.fillText(this.value + this.measure, 53, 13, 80);
		}
      
    }

    // Draw title
	this.context.fillStyle = this.color;  
    this.context.font = this.title_font;
	if (this.showtitle == 1) {
		this.context.fillText(this.title, 20, 13, 80); 
	}
  } 
  
  this.drawmarker = function(){
    // State
    if (this.eventState == ''){
	  this.context.fillStyle = 'lightgray';//'green'
	} else {
  	  if (this.eventState == 'processing'){
	    this.context.fillStyle = 'black';
	  } else {
	    this.context.fillStyle = 'yellow'; //'yellow'
	  }
	}
	
	this.context.font = this.title_font;
	this.context.textAlign = "left";  
    //this.context.fillText('●', 164, 14); 
  }
  
  this.init( );
}

timeline2c.prototype = new jsgraphics_alertobject;