
function level2(contid, objprop, title, refreshtime, measure){        
  this.title = title;
  this.measure = measure;
  
  this.title_font = '11px Tahoma';
  this.value_font = '17px Tahoma';
  this.color = 'white';
  this.color2 = 'black';
  this.alertcolor = 'red';
  this.background = 'rgba(100, 160, 230, 1)';  
  this.marker_font = 'bold 10px Tahoma';
  
  //if (this.measure == '') {this.measure = '°';}  
  
  this.contid = contid;
  this.objprop = objprop;
  this.refreshtime = refreshtime;
  
	this.max_ = 100;
	this.min_ = 0;
  
	this.yellow_ = 75;
	this.red_ = 50;
	this.orange_ = 25;
	this.green_ = 0;
	this.blue_ = -5;
	this.cyan_ = -10;
  
  this.redraw = function(){   
    // Value
	this.context.clearRect(0, 0, 100, 30);
	
    // Rect
    //this.context.fillStyle = this.background;
    //this.context.fillRoundedRect(0, 0, 100, 30, 8);
	
	
	
	for (var i = 0; i < 10; i++) {
		this.context.fillStyle = 'rgba(80, 80, 80, 1)';
		this.context.fillRect(60, 28 - i*3, 15, 2);	
	}
	
	var delta_ = this.max_ - this.min_;
	var delta_100 = delta_ / 100;
	var sm = this.value - this.min_;
	var sm_p = Math.round(sm / delta_100 / 10);
	var k = this.value / 10;
	for (var i = 0; i < sm_p; i++) {
		if (this.value >= this.min_ && this.value < this.blue_) {this.color = 'rgba(50, 230, 230, 1)';} // cyan
		if (this.value >= this.blue_ && this.value < this.green_) {this.color = 'rgba(140, 140, 225, 1)';} // blue
		if (this.value >= this.green_ && this.value < this.orange_) {this.color = 'rgba(50, 200, 50, 1)';} // green
		if (this.value >= this.orange_ && this.value < this.red_) {this.color = 'rgba(210, 160, 50, 1)';} // orange
		if (this.value >= this.red_ && this.value <  this.yellow_) {this.color = 'rgba(225, 60, 50, 1)';} // red
		if (this.value >= this.yellow_ && this.value <= this.max_ ) {this.color = 'rgba(230, 230, 50, 1)';} // yellow
		this.context.fillStyle = this.color;
		this.context.fillRect(60, 28 - i*3, 15, 2);	
	}
	this.color = 'rgba(220, 220, 220, 1)';
    // Div
/*  this.context.strokeStyle = this.color;
    this.context.lineWidth = 1,
    this.context.moveTo(10, 60);
    this.context.lineTo(90, 60);
    this.context.stroke(); */

    if (this.drawmarker) {
	  this.drawmarker();

	  this.context.fillStyle = this.color;
	  this.context.font = this.marker_font;
	  //this.context.fillText(this.GetDirection(), 16, 16); 
	}
	
	this.context.textAlign = "center";  	
	
    // Value  	
	//this.color = 'rgba(200, 200, 200, 1)';
    if (this.value != ''){    
	  if ((this.alertstate != 0) && (this.alertframe == 0) ) {
	    this.context.fillStyle = this.alertcolor;
	  } else {
	    this.context.fillStyle = this.color;
	  }
      this.elem.title = this.valupdated;
      this.context.font = this.value_font;
      this.context.fillText(this.value+this.measure, 33, 14, 80);
	  //this.context.fillText(sm_p, 33, 14, 80);
    }

    // Title
	//this.context.fillStyle = this.color;  
	//this.context.fillStyle = 'rgba(180, 180, 180, 1)';
    this.context.font = this.title_font;
    this.context.fillText(this.title, 25, 30, 80); 
  } 
  
  this.drawmarker = function(){
    // State
    if (this.eventState == ''){
	  this.context.fillStyle = 'green';
	} else {
  	  if (this.eventState == 'processing'){
	    this.context.fillStyle = 'black';
	  } else {
	    this.context.fillStyle = 'yellow';          
	  }
	}
	
	this.context.font = this.title_font;
	this.context.textAlign = "left";  
    //this.context.fillText('●', 6, 16); 
  }
  
  this.init( );
}

level2.prototype = new jsgraphics_alertobject;